//********************************************************************
//*** Exceptions/Exception.hh
//*** Copyright (c) 2001-2006 by Markus Winand <mws@fatalmind.com>
//*** $Id: Exception.hh,v 1.8 2006/11/19 19:12:29 mws Exp $
//********************************************************************

#ifndef INCLUDED_EXCEPTIONS_HH
#define INCLUDED_EXCEPTIONS_HH

#include <string>

namespace fatalmind {

class Exception {
	public:
		Exception();
		Exception(const std::string&);
		virtual const std::string message() const throw();
		virtual ~Exception();
	protected:
		virtual void setMessage(const std::string&);
	private:
		std::string _message;
};
}
#endif
